eoNDSorting_II(3)

NAME
eoNDSorting_II - Fast Elitist Non-Dominant Sorting Genetic Algorithm.

SYNOPSIS

#include <eoNDSorting.h>

Inherits eoNDSorting< EOT >< EOT >.

  Public Types
typedef std::pair< double, unsigned > double_index_pair

  Public Member Functions
eoNDSorting_II (bool nasty_flag_=false)
std::vector< double > niche_penalty (const std::vector< unsigned > &_cf, const eoPop< EOT > &_pop)
_cf points into the elements that consist of the current front

Detailed Description

  template<class EOT> class eoNDSorting_II< EOT >
Fast Elitist Non-Dominant Sorting Genetic Algorithm. Adapted from Deb, Agrawal, Pratab and Meyarivan: A Fast Elitist Non-Dominant Sorting Genetic Algorithm for MultiObjective Optimization: NSGA-II KanGAL Report No. 200001

Note that this class does not do the sorting per se, but the sorting of it worth_std::vector will give the right order

The crowding distance is calculated as the sum of the distances to the nearest neighbours. As we need to return the penalty value, we have to invert that and invert it again in the base class, but such is life, sigh

Definition at line 434 of file eoNDSorting.h.

Author

Generated automatically by Doxygen for EO from the source code.